package com.qmth.ops.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.boot.core.ai.model.llm.LlmAppType;
import com.qmth.ops.biz.domain.LlmPromptTemplate;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

public interface LlmPromptTemplateDao extends BaseMapper<LlmPromptTemplate> {

    @Update("replace into llm_prompt_template (model_id, app_type, system, user) "
            + "values (#{modelId}, #{appType}, #{system}, #{user})")
    void replace(@Param("modelId") Long modelId, @Param("appType") LlmAppType appType, @Param("system") String system,
            @Param("user") String user);
}
