package com.qmth.ops.biz.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.boot.core.ai.model.llm.LlmAppType;

import java.io.Serializable;

@TableName("llm_prompt_template")
public class LlmPromptTemplate implements Serializable {

    private static final long serialVersionUID = -2886605312034160681L;

    private Long modelId;

    private LlmAppType appType;

    private String system;

    private String user;

    public LlmAppType getAppType() {
        return appType;
    }

    public void setAppType(LlmAppType appType) {
        this.appType = appType;
    }

    public Long getModelId() {
        return modelId;
    }

    public void setModelId(Long modelId) {
        this.modelId = modelId;
    }

    public String getSystem() {
        return system;
    }

    public void setSystem(String system) {
        this.system = system;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }
}
